aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVitali64 <vitali64pmemail@protonmail.com>2021-12-19 11:17:19 +0100
committerVitali64 <vitali64pmemail@protonmail.com>2021-12-19 11:17:19 +0100
commit75b4fcc52d2458cbeab32d08e5bb0aecc366e2f0 (patch)
tree65feffb0eae935ce21ba117c6b7ebf0265703fd0
parent2ea0608554b49498460d602cad466a6394414e24 (diff)
downloadseen-75b4fcc52d2458cbeab32d08e5bb0aecc366e2f0.tar.gz
seen-75b4fcc52d2458cbeab32d08e5bb0aecc366e2f0.zip
typofix
-rw-r--r--.gitignore3
-rw-r--r--README.md1
-rw-r--r--articles/articletext.cfg3
-rw-r--r--articles/articletext.md7
-rwxr-xr-xseen.sh11
-rw-r--r--www/articles/articletext.html32
-rw-r--r--www/index.html30
7 files changed, 9 insertions, 78 deletions
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000..cbaf369
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,3 @@
+www/*
+articles/*
+
diff --git a/README.md b/README.md
index 59022e4..e12f5c3 100644
--- a/README.md
+++ b/README.md
@@ -27,4 +27,3 @@ Seen supports options too, for more info, run the following:
$ ./seen.sh --help
-
diff --git a/articles/articletext.cfg b/articles/articletext.cfg
deleted file mode 100644
index 5038244..0000000
--- a/articles/articletext.cfg
+++ /dev/null
@@ -1,3 +0,0 @@
-name="Hello World!"
-desc="Welcome to seen! This is a test article."
-date="9th December 2021"
diff --git a/articles/articletext.md b/articles/articletext.md
deleted file mode 100644
index dbf6405..0000000
--- a/articles/articletext.md
+++ /dev/null
@@ -1,7 +0,0 @@
-# Hello
-
-Welcome to `seen` !
-
-It's a simple blog generator.
-
-Please refer to the README.md file for more information.
diff --git a/seen.sh b/seen.sh
index 952592b..1d8ab69 100755
--- a/seen.sh
+++ b/seen.sh
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Seen, a simple static blog generator
#
@@ -44,14 +44,15 @@ echo " along with this program. If not, see <https://www.gnu.org/licenses/>.
if [ "$1" = "--clear" ]; then
echo "-> [$(date +%R)] Deleting generated blog ..."
- rm -rf "www/*" || die "Cannot delete generated blog!"
- exit
+ rm -Rf www/* || die "Cannot delete generated blog!"
+ exit 0
elif [ "$1" = "--rm" ]; then
echo "-> [$(date +%R)] Deleting all data ..."
- rm -rf "www/*" "articles/*" || die "Cannot delete www/* and articles/*!"
- exit
+ rm -Rf www/* articles/* || die "Cannot delete www/* and articles/*!"
+ exit 0
elif [ "$1" = "--help" ]; then
usage
+ exit 0
elif [ "$1" = "" ]; then
echo "-> [$(date +%R)] No options specified, generating blog ..."
else
diff --git a/www/articles/articletext.html b/www/articles/articletext.html
deleted file mode 100644
index cd84fa3..0000000
--- a/www/articles/articletext.html
+++ /dev/null
@@ -1,32 +0,0 @@
-<!DOCTYPE html>
-
-<html>
-
- <body>
- <h1>Blog</h1>
- <div>
-
-<h1>Hello</h1>
-
-<p>Welcome to <code>seen</code> !</p>
-
-<p>It&rsquo;s a simple blog generator.</p>
-
-<p>Please refer to the README.md file for more information.</p>
-
- </div>
-
- <footer>Generated by `seen`, a static blog generator.</footer>
-
- </main>
-
- </body>
- <style>
-div
-{
- background-color: #ddd;
- padding: 4pt;
-}
- </style>
-
-</html>
diff --git a/www/index.html b/www/index.html
deleted file mode 100644
index c7f33dd..0000000
--- a/www/index.html
+++ /dev/null
@@ -1,30 +0,0 @@
-<!DOCTYPE html>
-
-<html>
-
- <body>
- <h1>Blog</h1>
- <div>
-
- <div class="article">
- <a href="articles/articletext.html"><h3>Hello World!</h3>9th December 2021</a>
- <p>Welcome to seen! This is a test article.</p>
- </div>
-
-
- </div>
-
- <footer>Generated by `seen`, a static blog generator.</footer>
-
- </main>
-
- </body>
- <style>
-div
-{
- background-color: #ddd;
- padding: 4pt;
-}
- </style>
-
-</html>